Package org.acplt.oncrpc

# Class OncRpcMessage

java.lang.Object
org.acplt.oncrpc.OncRpcMessage

Direct Known Subclasses:
  `OncRpcCallMessage`, `OncRpcReplyMessage`

public abstract class OncRpcMessage extends Object
The `OncRpcMessage` class is an abstract superclass for all the message types ONC/RPC defines (well, an overwhelming count of two). The only things common to all ONC/RPC messages are a message identifier and the message type. All other things do not come in until derived classes are introduced.

Version:
  $Revision: 1.2 $ $Date: 2003/08/14 07:56:37 $ $State: Exp $ $Locker: $
Author:
  Harald Albrecht

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`messageId`
The message id is used to identify matching ONC/RPC calls and replies.
`int`
`messageType`
The kind of ONC/RPC message, which can be either a call or a reply.

## Constructor Summary

Constructors
Constructor
Description
`OncRpcMessage(int messageId)`
Constructs a new `OncRpcMessage` object with default values: a given message type and no particular message identifier.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### messageId

public int messageId
The message id is used to identify matching ONC/RPC calls and replies. This is typically choosen by the communication partner sending a request. The matching reply then must have the same message identifier, so the receiver can match calls and replies.

### messageType

public int messageType
The kind of ONC/RPC message, which can be either a call or a reply. Can be one of the constants defined in `OncRpcMessageType`.

See Also:
  - `OncRpcMessageType`

## Constructor Details

### OncRpcMessage

public OncRpcMessage(int messageId)
Constructs a new `OncRpcMessage` object with default values: a given message type and no particular message identifier.

Parameters:
  `messageId` - The message id used to match request with reply messages.